sampler2D g_samSrcColor;
float uvoffset : register(C0); 
    
float4 Combine( float2 Tex : TEXCOORD0 ) : COLOR0
{
    float4 Color = tex2D( g_samSrcColor, Tex.xy);
    float2 AlUV = Tex;
    AlUV.x += uvoffset;
    float4 Alphcolor = tex2D( g_samSrcColor, AlUV.xy);   
    Color.a = Alphcolor.a;
    return Color;
}


technique PostProcess
{
    pass p1
    {
        VertexShader = null;
        PixelShader = compile ps_2_0 Combine();
    }

}
