sampler2D g_samSrcColor;
   
float4 unselected_soundbite( float2 Tex : TEXCOORD0,float4 diffcolor : COLOR0 ) : COLOR0
{
    float4 Color;   
    Color = tex2D( g_samSrcColor, Tex.xy);
    float bright = (Color.r + Color.g + Color.b)/3;
    Color.r = bright * diffcolor.r;
    Color.g = bright * diffcolor.g;
    Color.b = bright * diffcolor.b;
    Color.a *= 0.25;
    return Color;
}


technique PostProcess
{
    pass p1
    {
        VertexShader = null;
        PixelShader = compile ps_2_0 unselected_soundbite();
    }

}
