sampler2D g_samSrcColor : register( s0);
float progress = 0;
 
float4 Dissolve( float2 texCoord : TEXCOORD0 ) : COLOR0
{   
   float4 basecolor = tex2D(g_samSrcColor, texCoord); 
   basecolor.a = 1.0 - progress;
   return basecolor;

}

technique PostProcess
{
    pass p1
    {
        VertexShader = null;
        PixelShader = compile ps_2_0 Dissolve();
    }

}
