sampler2D g_samSrcColor;
   
float4 locked_achievement( float2 Tex : TEXCOORD0 ) : COLOR0
{
    float4 Color;   
    Color = tex2D( g_samSrcColor, Tex.xy);
    float bright = (Color.r + Color.g + Color.b)/3;
    Color.r = bright;
    Color.g = bright;
    Color.b = bright;
    Color.a *= 0.125;
    return Color;
}


technique PostProcess
{
    pass p1
    {
        VertexShader = null;
        PixelShader = compile ps_2_0 locked_achievement();
    }

}
